#include "configFile.hpp"
#include <sstream>

Config cf::openConfig() {
  std::ifstream file;
  file.open(cf::g_configFile);
  if (file.is_open()) {
    std::string line;
    line = cf::getLine(&file);
    int8_t nh = std::stoi(line);
    std::string t = cf::getLine(&file);
    Config config = Config(nh, t);
    file.close();
    // Config *ptr = &config;
    return config;
  } else {
    return Config(0, "");
  }
}

void cf::closeConfig(Config *config) { delete config; }

std::string cf::getLine(std::ifstream *file) {
  std::string line;
  std::getline(*file, line);

  if (line[0] == '#' || line == "") {
    return cf::getLine(file);
  }

  line = line.substr(line.find("= ") + 1, line.length());
  return line;
}

void cf::saveConfig(Config *config) {
  std::ofstream file(g_configFile);

  file << "Número de hilos\t\t= " << std::to_string(config->getNumHilos())
       << "\n";
  file << "Tiempo de ejecución\t= " << config->getTiempo();
  // std::string str = "shit";
  // file << str;
  file.close();
}
